Bug 130917 - FILESAVE DOCX Signature line export creates invalid document
Summary: FILESAVE DOCX Signature line export creates invalid document
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.1.0.3 release
Hardware: All All
: high major
Assignee: Samuel Mehrbrodt (CIB)
URL:
Whiteboard: target:6.3.6 target:6.4.2 target:7.0.0
Keywords: bibisected, bisected, filter:docx, regression
Depends on:
Blocks:
 
Reported: 2020-02-25 07:45 UTC by NISZ LibreOffice Team
Modified: 2020-03-04 12:07 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
The original file saved by Writer. (20.45 KB, application/vnd.oasis.opendocument.text)
2020-02-25 07:46 UTC, NISZ LibreOffice Team
Details
The odt file saved to docx with current Writer. (7.50 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2020-02-25 07:46 UTC, NISZ LibreOffice Team
Details
The odt saved to docx with Writer 6.0. (10.97 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2020-02-25 07:47 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2020-02-25 07:45:54 UTC
Description:
A text document containing a signature line does not open in the Microsoft Word when it is exported from ODT to DOCX in LibreOffice Writer 6.1.0.0.alpha0+. This did work in 6.0.
Creating a new document with signature line in Writer and saving it to docx creates a valid document that works nicely in Word.

Steps to Reproduce:
1. Open the attached ODT file in LibreOffice Writer 6.1.0.0.alpha0+.
2. Save as .docx.
3. Open the .docx in Microsoft Word.
4. Notice, that the document will not open.

Actual Results:
A text document containing a signature line does not open in the Microsoft Word when it is exported from ODT to DOCX.

Expected Results:
A text document containing a signature line should open in the Microsoft Word when it is exported from ODT to DOCX.


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 6.1.0.0.alpha0+
Build ID: 39fd78b79efd00e27ea068c03edf83b9dc6b9b57
CPU threads: 4; OS: Windows 10.0; UI render: default; 
Locale: hu-HU (hu_HU); Calc: group
Comment 1 NISZ LibreOffice Team 2020-02-25 07:46:36 UTC
Created attachment 158161 [details]
The original file saved by Writer.
Comment 2 NISZ LibreOffice Team 2020-02-25 07:46:56 UTC
Created attachment 158162 [details]
The odt file saved to docx with current Writer.
Comment 3 NISZ LibreOffice Team 2020-02-25 07:47:12 UTC
Created attachment 158163 [details]
The odt saved to docx with Writer 6.0.
Comment 4 NISZ LibreOffice Team 2020-02-25 07:50:58 UTC
Bibisected using bibisect-win32-6.1 to:
URL: https://cgit.freedesktop.org/libreoffice/core/commit/?id=39fd78b79efd00e27ea068c03edf83b9dc6b9b57 
author: Samuel Mehrbrodt <Samuel.Mehrbrodt@cib.de>
committer: Samuel Mehrbrodt <Samuel.Mehrbrodt@cib.de>
summary: tdf#83877 ODF: Load signature lines
Comment 5 NISZ LibreOffice Team 2020-02-25 07:51:16 UTC
Adding CC to: Samuel Mehrbrodt
Comment 6 Xisco Faulí 2020-02-26 11:28:58 UTC
Reproduced in

Version: 7.0.0.0.alpha0+
Build ID: c8d764b3f27c2bb0712745891b70630e94436317
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 7 Commit Notification 2020-02-28 14:01:43 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/0f02805a8949865ffee99477bb26491b7c27a8bc

tdf#130917 Invalid document after odt->docx with signatureline

It will be available in 6.3.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2020-02-28 14:02:02 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/02ef89cf647065ae39fb4845259f084c9b7ac008

tdf#130917 Invalid document after odt->docx with signatureline

It will be available in 6.4.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2020-02-28 16:31:17 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/531f078f3371e909b03b358bc5c9d70df083555f

tdf#130917 Invalid document after odt->docx with signatureline

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Xisco Faulí 2020-03-04 12:07:08 UTC
Verified in

Version: 7.0.0.0.alpha0+
Build ID: c57d6d39c80844c9d4c6bfed85cc151e52a67b34
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

@Samuel, thanks for fixing this issue!